%define fontname        wqy-zenhei
%define fontdir         %{_datadir}/fonts/%{fontname}
%define fontconfdir     %{_sysconfdir}/fonts/conf.d
%define catalogue       %{_sysconfdir}/X11/fontpath.d

Name: %{fontname}-fonts
Summary: WenQuanYi Zen Hei CJK Font
Version: 0.2.16
Release: 0.2.20071031cvs%{?dist}
# for font embedding exception please see
# http://www.gnu.org/licenses/gpl-faq.html#FontException
License: GPLv2 with exceptions
URL: http://wqy.sourceforge.net/en/
Group: User Interface/X
Source: http://wenq.org/release/zenhei/%{fontname}-%{version}-CVS20071031.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: mkfontdir

%description
The WenQuanYi Zen Hei is the first open-source Chinese font 
for Hei Ti, a sans-serif font style that are widely used for
general purpose text formatting, and on-screen display of 
Chinese characters (such as in Windows Vista and Mac OS).
Simple and elegant font outlines and slightly emboldened strokes 
makes the glyphs presenting higher contrast and therefore easy 
to read. The unique style of this font also provide a simple
interface for adding grid-fitting information for further 
fine-tuning of the on-screen performance. WenQuanYi Zen Hei 
has over 20400 Hanzi glyphs covering 97% of the Unicode CJK Unified 
Ideographics. This font provides full coverage to the required 
code points for zh_cn, zh_sg, zh_tw, zh_hk and zh_mo locales. 
The total vector glyphs in this font is over 35000 including Latin 
characters, Japanese kanas, hanguls and symbols from many 
other languages.

%prep
%setup -q -n %{fontname}

%build
%{nil}

%install
rm -rf %{buildroot}
install -d -m755 %{buildroot}%{fontdir}
install -d -m755 %{buildroot}%{fontconfdir}
install -p -m644 *.ttf  %{buildroot}%{fontdir}/
install -p -m644 44-%{fontname}.conf  %{buildroot}%{fontconfdir}/

# Install catalogue symlink
mkdir -p %{buildroot}%{catalogue}
ln -sf %{fontdir} %{buildroot}%{catalogue}/%{name}

%{_bindir}/mkfontdir %{buildroot}%{fontdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%dir %{fontdir}
%{fontdir}/*.ttf
%{fontdir}/fonts.dir
%config(noreplace) %{fontconfdir}/44-%{fontname}.conf
%{catalogue}/%{name}

%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{_datadir}/fonts
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi

%changelog
*Fri Nov 2 2007 Qianqian Fang <fangqq@gmail.com> 0.2.16-0.2.20071031cvs
- spec file clean up

*Thu Nov 1 2007 Qianqian Fang <fangqq@gmail.com> 0.2.16-0.1.20071031cvs
- initial packaging for Fedora (# 361121)
